﻿using TaskCancellationExample.Models;

namespace TaskCancellationExample.ViewModels
{
  public class FileViewModel : ViewModelBase
  {
    private readonly FileItem _item;
    private string _status;

    public FileViewModel(string fileName)
    {
      _item = new FileItem(fileName);
      Status = $"FileViewModel for {_item.FileName} created.";
    }

    public string Status
    {
      get => _status;
      private set
      {
        _status = value;
        OnPropertyChanged(nameof(Status));
      }
    }

    public string FileName => _item.FileName;

    public void Load()
    {
      Status = $"Loading file {_item.FileName}...";
      _item.Load();
      Status = $"File {_item.FileName} load completed.";
    }
  }
}
